Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The Vue Image Editor is a UI component for editing and enhancing images. With built-in support users can crop, rotate, flip, zoom, and apply filters. Additionally, users can annotate images with shapes such as rectangles, ellipses, lines, and text, as well as freehand drawings.


Selection and cropping

The Vue Image Editor makes it easy to get a perfect crop every time using multiple selection options, including square, circle, and customizable aspect ratios. The selection region can be dragged and resized for cropping an image.

Custom selection

Draw a custom selection rectangle on an image which can be repositioned by dragging and resizing it to get the desired selection.

Vue Image Editor custom selection

Vue Image Editor square selection

Square selection

Crop images into perfect square regions or maintain their aspect ratios.

Circle selection

Crop images into perfect circular regions.

Vue Image Editor circle selection

Vue Image Editor ration selection

Predefined aspect ratios

Customize selection regions for cropping images according to predefined aspect ratios, including 4:3, 7:5, 16:9, and more.


Annotations

The Image Editor has multiple annotation tools, including text, freehand drawings, images, and shapes like rectangles, ellipses, and lines.

Text annotation

With the text annotation tool, users can add captions, labels, or other types of text-based information. Text annotations can be inserted anywhere on the image and customized by changing their color, outline color, fill color, outline width, font family, font size, and font styles, such as bold and italic.

Vue Image Editor text shape

Vue Image Editor freehand drawing

Freehand drawing annotation

Add hand-drawn content to an image using a mouse or touch. With the freehand drawing annotation, users can customize the pen color and stroke width to suit their needs. Also, it can be combined with other annotation tools, such as text and shapes, to create rich, annotated images.

Shapes annotation

Add shapes, such as rectangles, ellipses, and lines, to an image. With the shape annotation tool, customize the border color, fill color, and border width of the shapes.

Vue Image Editor shapes

Vue Image Editor Image annotation

Image annotation

This feature allows users to insert and display multiple images in addition to the main image they are editing. These image annotations can be used for different purposes, such as adding logos, watermarks, or decorative elements to an image.

Path annotation

This feature enables manipulation of paths, which are editable curves consisting of anchor points connected by control handles that allow precise control over object boundaries. Users can create and modify custom shapes within an image using paths.

Vue Image Editor path

Vue Image Editor Arrow

Arrow annotation

This feature provides the ability to draw and customize arrows with precision. Arrows can be created, modified, and personalized according to user preferences. They highlight objects or draw attention to specific details, effectively communicating the intended focal point.


Z-order support

This feature allows users to adjust the positioning of annotations, particularly for designing personalized templates like greeting cards or posters, where managing the layering of multiple annotations is crucial for a polished final product.

Vue Image Editor Z-order


Transform images

The Image Editor has built-in support to transform images by rotating, flipping, and zooming.

Vue Image Editor rotate

Rotate an image

Users can rotate images with annotations clockwise or counterclockwise.

Flip an image

Flip images with annotations horizontally or vertically for creating a mirror image of the original image.

Vue Image Editor flip


Undo and redo

The Image Editor provides an option to undo and redo changes made to an image. The undo option helps reverse the last action performed and the redo option reverses the last undo action performed with the Image Editor.


Vue Image Editor zoom

Zoom in/out images

Users can adjust the size of an image by zooming in or out to fine-tune their edits. The pan tool can also be used to reveal hidden areas of an image.

Pinch zoom

Pinch zoom is a technique for zooming in and out an image by using your fingers. On touch-enabled devices, you can use two fingers to pinch and zoom in or out.

Mouse wheel zoom

Mouse wheel zoom is a method of zooming in and out an image using your mouse. To zoom in, press the ctrl key and roll your mouse wheel forward, and to zoom out, roll your mouse wheel backward.

Keyboard zoom

To zoom in, hold down the Ctrl key and press the + button and to zoom out, hold down Ctrl and press the - button. This will adjust the size of the image on your screen making it either larger or smaller depending on your needs.


Loading an image initially

Easily load an image into the Vue Image Editor using a base 64 string or URL, with support for PNG, JPEG, and SVG image formats.

Vue Image Editor


Vue Image Editor Toolbar

Image Editor toolbar

Offers a wide range of tools for annotating, selecting, cropping, zooming, panning, rotating, flipping, filtering, and more, enabling users to fully edit and manipulate their images. Additionally, users can customize the toolbar by defining their own items or the entire toolbar.


Exporting and saving images

Easily save an image with a specified file name, file format, and image quality. Supported file formats for saving an image include PNG, JPEG, and SVG types. This feature provides more control over the output, ensuring that users can save their work exactly as they need it.

Vue Image Editor Export


Vue Image Editor quick access toolbar

Quick access toolbar

This feature enhances the Image Editor control by showing a toolbar when you select annotations like rectangle, ellipse, line, arrow, text, and freehand draw. It offers quick access to actions such as clone, delete, and edit text.


Frame support

Users can add decorative borders or frames around images to enhance the visual appeal of an image.

Vue Image Editor Frame


Vue Image Editor Resize

Resize support

Users can adjust the size and dimensions of an image to suit their needs, such as for printing, web display, or other purposes.


Straightening support

Users can adjust an image by rotating it clockwise or counter clockwise. The rotating degree value should be within the range of -45 to +45 degrees for accurate straightening. Positive values indicate clockwise rotation, while negative values indicate counter clockwise rotation.

Vue Image Editor Straightening


Vue Image Editor Redact

Redact support

Users can conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.


Localization

Localize user interface strings of the Vue Image Editor component by using the localization (l10n) library.

Vue Image Editor Localization


Touch-friendly editing

For a seamless experience on all devices, the Vue Image Editor includes a responsive mode that adapts the UI for mobile devices and offers a great user experience on phones, tablets, and desktops.

Developer-friendly APIs

With its extensive set of APIs, developers can control the appearance and behaviors of the Image Editor to suit their needs.

Built-in themes

The Vue Image Editor features built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these themes or create their own using SASS variables or the Theme Studio application to achieve the desired look and feel.


Other supported frameworks

In addition to Vue, the Image Editor component is also available for the React, Angular, and JavaScript frameworks. You can access the component on these platforms using the links below.


Vue Image Editor Code Example

Easily get started with the Vue Image Editor using a few simple lines of Vue codes as demonstrated below. Also explore our Vue Image Editor Example that shows you how to render and configure the Image Editor in Vue.

<template>
    <div class="control-section">
        <div class="col-lg-12 e-img-editor-sample">
            <ejs-imageeditor :theme="themeValue" id="image-editor" ref="imageEditorObj" :created = "created">
            </ejs-imageeditor>
        </div>
    </div>
</template>

<script>
import Vue from "vue";
import { ImageEditorPlugin } from "@syncfusion/ej2-vue-image-editor";
import { Browser } from "@syncfusion/ej2-base";

Vue.use(ImageEditorPlugin);
export default Vue.extend({
  data: function() {
    return {
        theme: 'Bootstrap5'
    };
  },
  methods: {
    created: function() {
        if (Browser.isDevice) {
            this.$refs.imageEditorObj.open('src/image-editor/images/flower.png');
        } else {
            this.$refs.imageEditorObj.open('src/image-editor/images/bridge.png');
        }
        this.themeValue = window.location.href.split('#')[1].split('/')[1];
    }
  },
  computed: {
        themeValue: {
            get: function () {
                return this.theme;
            },
            set: function (theme) {
                this.theme = theme
            }
        }
    }
});
</script>



90+ VUE UI COMPONENTS

Frequently Asked Questions

  • Built-in support to crop, rotate, flip, zoom, and annotate.
  • Convert images to base64 and download images in JPEG, PNG, and SVG formats.
  • Flexible and completely customizable user interface.
  • One of the best Vue Image Editor components in the market, that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Expansive learning resources such as demos and documentation to let you get started quickly with Vue Image Editor.

We do not sell the Vue Image Editor separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Vue Image Editor. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Vue Image Editor demo, which demonstrates how to render and configure the Image Editor.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Vue Image Editor, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Image Editor component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Image Editor is a UI component for editing and enhancing images. With built-in support users can crop, rotate, flip, zoom, and apply filters. Additionally, users can annotate images with shapes such as rectangles, ellipses, lines, and text, as well as freehand drawings.


Selection and cropping

The React Image Editor makes it easy to get a perfect crop every time using multiple selection options, including square, circle, and customizable aspect ratios. The selection region can be dragged and resized for cropping an image.

Custom selection

Draw a custom selection rectangle on an image which can be repositioned by dragging and resizing it to get the desired selection.

React Image Editor custom selection.

React Image Editor square selection.

Square selection

Crop images into perfect square regions or maintain their aspect ratios.

Circle selection

Crop images into perfect circular regions.

React Image Editor circle selection.

React Image Editor ratio selection.

Predefined aspect ratios

Customize selection regions for cropping images according to predefined aspect ratios, including 4:3, 7:5, 16:9, and more.


Annotations

The Image Editor has multiple annotation tools, including text, freehand drawings, images, and shapes like rectangles, ellipses, and lines.

Text annotation

With the text annotation tool, users can add captions, labels, or other types of text-based information. Text annotations can be inserted anywhere on the image and customized by changing their color, outline color, fill color, outline width, font family, font size, and font styles, such as bold and italic.

React Image Editor text shape.

React Image Editor freehand drawing.

Freehand drawing annotation

Add hand-drawn content to an image using a mouse or touch. With the freehand drawing annotation, users can customize the pen color and stroke width to suit their needs. Also, it can be combined with other annotation tools, such as text and shapes, to create rich, annotated images.

Shapes annotation

Add shapes, such as rectangles, ellipses, and lines, to an image. With the shape annotation tool, customize the border color, fill color, and border width of the shapes.

React Image Editor shapes.

React Image Editor Image annotation.

Image annotation

This feature allows users to insert and display multiple images in addition to the main image they are editing. These image annotations can be used for different purposes, such as adding logos, watermarks, or decorative elements to an image.

Path annotation

This feature enables manipulation of paths, which are editable curves consisting of anchor points connected by control handles that allow precise control over object boundaries. Users can create and modify custom shapes within an image using paths.

React Image Editor path.

React Image Editor Arrow.

Arrow annotation

This feature provides the ability to draw and customize arrows with precision. Arrows can be created, modified, and personalized according to user preferences. They highlight objects or draw attention to specific details, effectively communicating the intended focal point.


Z-order support

This feature allows users to adjust the positioning of annotations, particularly for designing personalized templates like greeting cards or posters, where managing the layering of multiple annotations is crucial for a polished final product.

React Image Editor Z-order


Transform images

The Image Editor has built-in support to transform images by rotating, flipping, and zooming.

React Image Editor rotate.

Rotate an image

Users can rotate images with annotations clockwise or counterclockwise.

Flip an image

Flip images with annotations horizontally or vertically for creating a mirror image of the original image.

React Image Editor flip.


Undo and redo

The Image Editor provides an option to undo and redo changes made to an image. The undo option helps reverse the last action performed and the redo option reverses the last undo action performed with the Image Editor.


React Image Editor zoom.

Zoom in/out images

Users can adjust the size of an image by zooming in or out to fine-tune their edits. The pan tool can also be used to reveal hidden areas of an image.

Pinch zoom

Pinch zoom is a technique for zooming in and out an image by using your fingers. On touch-enabled devices, you can use two fingers to pinch and zoom in or out.

Mouse wheel zoom

Mouse wheel zoom is a method of zooming in and out an image using your mouse. To zoom in, press the ctrl key and roll your mouse wheel forward, and to zoom out, roll your mouse wheel backward.

Keyboard zoom

To zoom in, hold down the Ctrl key and press the + button and to zoom out, hold down Ctrl and press the - button. This will adjust the size of the image on your screen making it either larger or smaller depending on your needs.


Loading an image initially

Easily load an image into the React Image Editor using a base 64 string or URL, with support for PNG, JPEG, and SVG image formats.

React Image Editor.


React Image Editor Toolbar.

Image Editor toolbar

Offers a wide range of tools for annotating, selecting, cropping, zooming, panning, rotating, flipping, filtering, and more, enabling users to fully edit and manipulate their images. Additionally, users can customize the toolbar by defining their own items or the entire toolbar.


Exporting and saving images

Easily save an image with a specified file name, file format, and image quality. Supported file formats for saving an image include PNG, JPEG, and SVG types. This feature provides more control over the output, ensuring that users can save their work exactly as they need it.

React Image Editor export.


React Image Editor quick access toolbar.

Quick access toolbar

This feature enhances the Image Editor control by showing a toolbar when you select annotations like rectangle, ellipse, line, arrow, text, and freehand draw. It offers quick access to actions such as clone, delete, and edit text.


Frame support

Users can add decorative borders or frames around images to enhance the visual appeal of an image.

React Image Editor Frame.


Resize support in React Image Editor.

Resize support

Users can adjust the size and dimensions of an image to suit their needs, such as for printing, web display, or other purposes.


Straightening support

Users can adjust an image by rotating it clockwise or counter clockwise. The rotating degree value should be within the range of -45 to +45 degrees for accurate straightening. Positive values indicate clockwise rotation, while negative values indicate counter clockwise rotation.

React Image Editor Straightening


React Image Editor Redact

Redact support

Users can conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.


Localization

Localize user interface strings of the React Image Editor component by using the localization (l10n) library.

React Image Editor localization.


Touch-friendly editing

For a seamless experience on all devices, the React Image Editor includes a responsive mode that adapts the UI for mobile devices and offers a great user experience on phones, tablets, and desktops.

Developer-friendly APIs

With its extensive set of APIs, developers can control the appearance and behaviors of the Image Editor to suit their needs.

Built-in themes

The React Image Editor features built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these themes or create their own using SASS variables or the Theme Studio application to achieve the desired look and feel.


React Image Editor Code Example

Easily get started with the React Image Editor using a few simple lines of TSX code example as demonstrated below. Also explore our React Image Editor Example that shows you how to render and configure the Image Editor in React.

  1. import * as ReactDOM from 'react-dom';
  2. import * as React from 'react';
  3. import { ImageEditorComponent } from '@syncfusion/ej2-react-image-editor';
  4. import { Browser } from '@syncfusion/ej2-base';
  5. import { SampleBase } from '../common/sample-base';
  6. import './default.css';
  7.  
  8. export class Default extends SampleBase<{}, {}> {
  9. private imgObj: ImageEditorComponent;
  10. public imageEditorCreated(): void {
  11. if (Browser.isDevice) {
  12. this.imgObj.open('src/image-editor/images/flower.png');
  13. } else {
  14. this.imgObj.open('src/image-editor/images/bridge.png');
  15. }
  16. this.imgObj.theme = window.location.href.split('#')[1].split('/')[1];
  17. }
  18. render() {
  19. return (
  20. <div className='control-pane'>
  21. <div className='control-section'>
  22. <div className='row'>
  23. <div className='col-lg-12 control-section'>
  24. <div className='e-img-editor-sample'>
  25. <ImageEditorComponent ref={(img) => { this.imgObj = img }} created={this.imageEditorCreated.bind(this)}>
  26. </ImageEditorComponent>
  27. </div>
  28. </div>
  29. </div>
  30. </div>
  31. </div>
  32. );
  33. }
  34. }

Other supported frameworks

The Image Editor component is also available in Blazor, Angular, Vue, and JavaScript frameworks. Check out the different Image Editor platforms from the links below,

90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Built-in support to crop, rotate, flip, zoom, and annotate.
  • Convert images to base64 and download images in JPEG, PNG, and SVG formats.
  • Flexible and completely customizable user interface.
  • One of the best React Image Editor components in the market, that offers a feature-rich UI.
  • Built-in support for access control.
  • Simple configuration and API.
  • Support for all modern browsers.
  • Touch-friendly and responsive.
  • Expansive learning resources such as demos and documentation to let you get started quickly with React Image Editor.

We do not sell the React Image Editor separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Image Editor. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Image Editor demo, which demonstrates how to render and configure the Image Editor.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Image Editor, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Image Editor component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us

Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Image Editor component is a graphical user interface used for editing images. It provides built-in support to rotate, flip, zoom, and crop images based on the selection. It also has support for inserting annotations including rectangle, ellipse, line, text, and freehand drawings.


Selection and cropping

The Image Editor component has multiple selection options including square, circle, and can be customized to various aspect ratios. The selection region can be dragged and resized for cropping an image.

Custom selection

The selection region can be customized by dragging and resizing an image.

Angular Image Editor custom selection

Angular Image Editor square selection

Square selection

The selection region can be customized as a square, and it can be dragged and resized.

Circle selection

The selection region can be customized as a circle, and it can be moved and resized.

Angular Image Editor circle selection

Angular Image Editor ratios.

Predefined aspect ratios

The selection region can be customized according to the predefined ratios including 4:3, 7:5, 16:9, and more.


Annotations

The Image Editor has multiple annotations support including text, freehand drawings, images, and shapes such as rectangle, ellipse, and line.

Text annotation

Text annotations can be inserted and customized by changing their color, outline color, fill color, outline width, font family, font size, and font styles, such as bold and italics.

Angular Image Editor text shape

Angular Image Editor freehand drawing.

Freehand drawing annotation

These annotations can be customized by changing the pen color and stroke width.

Shapes annotation

The shape annotations include rectangle, ellipse, and line. The border color, fill color, and border width of the shapes can be customized.

Angular Image Editor shapes

Angular Image Editor Image annotation

Image annotation

This feature allows users to insert and display multiple images in addition to the main image they are editing. These image annotations can be used for different purposes, such as adding logos, watermarks, or decorative elements to an image.

Path annotation

This feature enables manipulation of paths, which are editable curves consisting of anchor points connected by control handles that allow precise control over object boundaries. Users can create and modify custom shapes within an image using paths.

Angular Image Editor path

Angular Image Editor Arrow

Arrow annotation

This feature provides the ability to draw and customize arrows with precision. Arrows can be created, modified, and personalized according to user preferences. By highlighting objects or drawing attention to specific details, arrows effectively communicate the intended focal point.


Z-order support

This feature allows users to adjust the positioning of annotations, particularly for designing personalized templates like greeting cards or posters, where managing the layering of multiple annotations is crucial for a polished final product.

Angular Image Editor Z-order


Transform images

Rotate, flip, and zoom images with annotations.

Angular Image Editor rotate

Rotate an image

Rotate images with annotation to 90, 180, 270, 360 degrees clockwise and anti-clockwise.

Flip an image

Flip images with annotations horizontally/vertically.

Angular Image Editor flip


Undo and redo

The Image Editor provides an option to undo and redo changes made to an image. The undo option helps reverse the last action performed and the redo option reverses the last undo action performed with the Image Editor.


Zoom in/out images

Users can adjust the size of an image by zooming in or out to fine-tune their edits. The pan tool can also be used to reveal hidden areas of an image.

Angular Image Editor zoom

Pinch zoom

Pinch zoom is a technique for zooming in and out an image by using your fingers. On touch-enabled devices, you can use two fingers to pinch and zoom in or out.

Mouse wheel zoom

Mouse wheel zoom is a method of zooming in and out an image using your mouse. To zoom in, press the ctrl key and roll your mouse wheel forward, and to zoom out, roll your mouse wheel backward.

Keyboard zoom

To zoom in, hold down the Ctrl key and press the + button and to zoom out, hold down Ctrl and press the - button. This will adjust the size of the image on your screen making it either larger or smaller depending on your needs.


Angular Image Editor

Loading an image initially

Easily load an image into the Angular image editor using a base 64 string or URL, with support for PNG, JPEG, and SVG image formats.


Image Editor toolbar

Offers a wide range of tools for annotating, selecting, cropping, zooming, panning, rotating, flipping, filtering, and more, enabling users to fully edit and manipulate their images. Additionally, users can customize the toolbar by defining their own items or the entire toolbar.

Angular Image Editor Toolbar


Angular Image Editor Export

Exporting and saving images

Easily save an image with a specified file name, file format, and image quality. Supported file formats for saving an image include PNG, JPEG, and SVG types. This feature provides more control over the output, ensuring that users can save their work exactly as they need it.


Quick access toolbar

This feature enhances the Image Editor control by showing a toolbar when you select annotations like rectangle, ellipse, line, arrow, text, and freehand draw. It offers quick access to actions such as clone, delete, and edit text.

Angular Image Editor quick access toolbar


Angular Image Editor Frame

Frame support

Users can add decorative borders or frames around images to enhance the visual appeal of an image.


Resize support

Users can adjust the size and dimensions of an image to suit their needs, such as for printing, web display, or other purposes.

Angular Image Editor Resize


Angular Image Editor Straightening

Straightening support

Users can adjust an image by rotating it clockwise or counter clockwise. The rotating degree value should be within the range of -45 to +45 degrees for accurate straightening. Positive values indicate clockwise rotation, while negative values indicate counter clockwise rotation.


Redact support

Users can conceal sensitive information by applying blur or pixel effects to specific areas of an image. This feature is particularly valuable for protecting privacy and complying with data protection regulations, making it easier to securely share images without compromising sensitive information.

Angular Image Editor Redact


Angular Image Editor Localization

Localization

Localize user interface strings of the Angular Image Editor control by using the localization (l10n) library.


Touch-friendly editing

For a seamless experience on all devices, the Angular Image Editor includes a responsive mode that adapts the UI for mobile devices and offers a great user experience on phones, tablets, and desktops.

Developer-friendly APIs

With its extensive set of APIs, developers can control the appearance and behaviors of the Image Editor to suit their needs.

Built-in themes

The Angular Image Editor features built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these themes or create their own using SASS variables or the Theme Studio application to achieve the desired look and feel.


Other supported frameworks

In addition to Angular, the Image Editor component is also available for the React, Vue, and JavaScript frameworks. You can access the component on these platforms using the links below.


Angular Image Editor Code Example

Easily get started with the Angular Image Editor using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Image Editor Example that shows you how to render and configure a Image Editor in Angular.

  1. <div id="action-description">
  2. <p>This sample demonstrates Image Editor features such as crop, rotate, flip, insert shape and text.</p>
  3. </div>
  4.  
  5. <div class="col-lg-12 control-section">
  6. <div class="e-img-editor-sample">
  7. <ejs-imageeditor id="image-editor" (created)="created()">
  8. </ejs-imageeditor>
  9. </div>
  10. </div>
  1. /**
  2. * Default Sample
  3. */
  4. import { Component } from '@angular/core';
  5. import { Browser, getComponent } from '@syncfusion/ej2-base';
  6. import { ImageEditorComponent } from '@syncfusion/ej2-angular-image-editor';
  7.  
  8. @Component({
  9. selector: 'control-content',
  10. templateUrl: 'default.html',
  11. styleUrls: ['default.css']
  12. })
  13.  
  14. export class DefaultImageEditorComponent {
  15. public created = (): void => {
  16. const imageEditor: ImageEditorComponent = getComponent(document.getElementById('image-editor'), 'image-editor');
  17. if (Browser.isDevice) {
  18. imageEditor.open('./assets/image-editor/images/flower.png');
  19. } else {
  20. imageEditor.open('./assets/image-editor/images/bridge.png');
  21. }
  22. imageEditor.theme = window.location.href.split('#')[1].split('/')[1];
  23. }
  24. }

90+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Built-in support to crop, rotate, flip, zoom, and annotate.
  • Convert images to base64 and download the images in JPEG, PNG, and SVG formats.
  • Flexible and completely customizable user interface.
  • One of the best Angular Image Editors in the market that offers a feature-rich UI to interact with the software.
  • Built-in support for access control.
  • Simple configuration and APIs.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to let you get started quickly with Angular Image Editor.

We do not sell the Angular Image Editor separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the Angular Image Editor. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our Angular Image Editor demo, which demonstrates how to render the Image Editor.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our Angular Image Editor, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Image Editor component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us